import { DependencyMap, DependencyMapProps } from './DependencyMap';
import { Dispatcher } from 'flux';
import * as React from 'react';
import { RefObject } from 'react';
export declare function useCurrent<ValueType>(value: ValueType): RefObject<ValueType>;
export default function connect<Deps extends DependencyMap>(dependencies: Deps, dispatcher?: Dispatcher<any>): <C extends any, Props extends DependencyMapProps<Deps>>(BaseComponent: React.ComponentType<Props>) => any;
